/*---------------------------------------------------------------------------*/
/* signaling_app.h                                                           */
/* copyright (c) innovaphone 2018                                            */
/*                                                                           */
/*---------------------------------------------------------------------------*/

class ISignalingApp {
public:
    virtual bool StartCall(const char* sip, const char* num, const char* dn, enum StartCallVideoMode videoMode, bool sendingComplete = true) = 0;
    virtual bool IsActive() = 0;
};

class USignalingApp {
public:
    virtual void SignalingRegistrationState(bool up) = 0;
    virtual void SignalingCallsActive(bool active) = 0;
};
